[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH v7 10/10] util/grub.d: Activate bli module on EFI
From: |
Oliver Steffen |
Subject: |
[PATCH v7 10/10] util/grub.d: Activate bli module on EFI |
Date: |
Wed, 3 May 2023 15:50:19 +0200 |
Add a new configuration drop-in file that loads the bli module and runs
the command if booting on the EFI platform.
Signed-off-by: Oliver Steffen <osteffen@redhat.com>
---
Makefile.util.def | 6 ++++++
util/grub.d/25_bli.in | 24 ++++++++++++++++++++++++
2 files changed, 30 insertions(+)
create mode 100644 util/grub.d/25_bli.in
diff --git a/Makefile.util.def b/Makefile.util.def
index beaef1168..d90e59b94 100644
--- a/Makefile.util.def
+++ b/Makefile.util.def
@@ -510,6 +510,12 @@ script = {
condition = COND_HOST_LINUX;
};
+script = {
+ name = '25_bli';
+ common = util/grub.d/25_bli.in;
+ installdir = grubconf;
+};
+
script = {
name = '30_os-prober';
common = util/grub.d/30_os-prober.in;
diff --git a/util/grub.d/25_bli.in b/util/grub.d/25_bli.in
new file mode 100644
index 000000000..6e4538716
--- /dev/null
+++ b/util/grub.d/25_bli.in
@@ -0,0 +1,24 @@
+#!/usr/bin/sh
+set -e
+
+# grub-mkconfig helper script.
+# Copyright (C) 2023 Free Software Foundation, Inc.
+#
+# GRUB is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# GRUB is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
+
+cat << EOF
+if [ "\$grub_platform" = "efi" ]; then
+ insmod bli
+fi
+EOF
--
2.40.1
- [PATCH v7 00/10] Add basic Boot Loader Interface support, Oliver Steffen, 2023/05/03
- [PATCH v7 02/10] Unify GUID types, Oliver Steffen, 2023/05/03
- [PATCH v7 01/10] efi: Add grub_efi_set_variable_with_attributes(), Oliver Steffen, 2023/05/03
- [PATCH v7 03/10] kern/misc: Add a format specifier GUIDs, Oliver Steffen, 2023/05/03
- [PATCH v7 04/10] grub-core: Make use of guid printf format specifier, Oliver Steffen, 2023/05/03
- [PATCH v7 08/10] docs: Reword section headings, Oliver Steffen, 2023/05/03
- [PATCH v7 09/10] Add a module for the Boot Loader Interface, Oliver Steffen, 2023/05/03
- [PATCH v7 10/10] util/grub.d: Activate bli module on EFI,
Oliver Steffen <=
- [PATCH v7 05/10] types.h: Add GRUB_SSIZE_MAX, Oliver Steffen, 2023/05/03
- [PATCH v7 07/10] efi: Add grub_efi_set_variable_to_string(), Oliver Steffen, 2023/05/03
- [PATCH v7 06/10] kern/misc, kern/efi: Extract UTF-8 to UTF-16 code, Oliver Steffen, 2023/05/03
- Re: [PATCH v7 00/10] Add basic Boot Loader Interface support, Daniel Kiper, 2023/05/19